#include "xio.h"
#include "keyboard.h"

int main(void) 
{
	
	if(keyboard_test()==1) {
		xil_printf("keyboard test error!\r\n");
	}
	else {
		xil_printf("keyboard test ok!\r\n");
	}
		
	keyboard_init();

	while(1) {
		int key1,key2;
		key1=keyboard_status(0x1C);					//key A
		key2=keyboard_status(0x1B);					//key S
		xil_printf("status of keys A: %d  S: %d\r\n",key1,key2);
		keyboard_wait_and_poll(200000);						//waits while updating keyboard status at the same time
	}

	//return with no errors
	return(0);
}


