#include "xio.h"
#include "keyboard.h"
#include "vga.h"


int main(void) 
{
	int pos=2;

	//init vga driver (character mode)
	scr_init();
	
	if(keyboard_test()==1) {
		xil_printf("keyboard test error!\r\n");
	}
	else {
		xil_printf("keyboard test ok!\r\n");
	}
		
	keyboard_init();

	while(1) {
		int key;
		key=keyboard_status(0x1C);                  //key A
		
		if(key==1)
			pos++;                                  //if A is pressed, change position
		
		scr_draw_vert_line(pos-1,10,'h',4);         //draw a black line at pos-1 (clears previous line)
		scr_draw_vert_line(pos,10,'b',4);           //draw a line at pos
		
		keyboard_wait_and_poll(70000);               //waits while updating keyboard status at the same time
	}


	return(0);                                      //return with no errors
}


